<?php
namespace App\Models;
use Storage;

class Config extends \App\Models\AbstractModels\AbstractConfig
{
  const STATI_SEGNALAZIONI_HOME = 'stati_segnalazioni_home';

  public static function getConfig(){
    $config = [];
    $config['Generale'] = [
      ['key' => self::STATI_SEGNALAZIONI_HOME, 'value' => null, 'display_name' => 'Stati delle segnalazioni da mostrare nella home', 'type' => 'array_status'],
    ];


    return $config;
  }

  public static function getValue($key){
    try{
      return Config::where([['key', $key], ['azienda_id', session('azienda')->id]])->first()->value;
    }catch(\Exception $e){
      return 0;
    }
  }

}
